.footer {
  background-color: #333333;
  grid-column: full-start/full-end;
  color: $color-white;
  display: grid;
  //   grid-template-rows: repeat(2, min-content);
  grid-template-columns:
    minmax(6rem, 1fr) repeat(10, minmax(min-content, 14rem))
    minmax(6rem, 1fr);
  font-size: 1.3rem;
  @media only screen and (max-width: $bp-large) {
    grid-template-columns:
      minmax(3rem, 1fr) repeat(8, minmax(min-content, 14rem))
      minmax(3rem, 1fr);
  }
  @media only screen and (max-width: $bp-medium) {
    grid-template-columns: 2rem repeat(4, minmax(min-content, 1fr)) 1rem;
  }

  & > * {
    padding-top: 4rem;
  }
  &__header {
    font-size: 1.6rem;
    font-weight: 400;
    margin-bottom: 2rem;
  }
  &__contact {
    grid-column: 2/4;
    font-family: $font-num;
    @media only screen and (max-width: $bp-large) {
      grid-column: 2/6;
      grid-row: 1/2;
    }
    @media only screen and (max-width: $bp-medium) {
      grid-row: 1/2;
      grid-column: 2/4;
    }
    & > div {
      margin-bottom: 1rem;
    }
    & i {
      margin-left: 1rem;
      font-size: 1.6rem;
    }
  }
  &__menu {
    grid-column: 4/6;
    display: flex;
    flex-direction: column;
    justify-content: start;
    @media only screen and (max-width: $bp-large) {
      grid-column: 2/6;
      grid-row: 2/3;
    }
    @media only screen and (max-width: $bp-medium) {
      grid-row: 1/2;
      grid-column: 4/6;
    }
    & a {
      text-decoration: none;
      color: $color-white;
      margin-bottom: 1rem;
      display: flex;
      align-items: center;
      transition: color 0.3s;
      &:hover {
        color: $color-blue-hover;
      }
      &::before {
        content: "";
        width: 6px;
        height: 6px;
        border-radius: 50%;
        margin-left: 10px;
        background-color: $color-blue-hover;
      }
    }
  }
  &__about {
    grid-column: 6/9;
    @media only screen and (max-width: $bp-large) {
      grid-column: 6/10;
      grid-row: 1/2;
    }
    @media only screen and (max-width: $bp-medium) {
      grid-row: 3/4;
      grid-column: 2/6;
    }
    & p {
      text-align: r;
      line-height: 2.5rem;
    }
  }
  &__subscribe {
    grid-column: 9/12;
    justify-self: end;
    display: flex;
    flex-direction: column;
    @media only screen and (max-width: $bp-large) {
      grid-column: 6/10;
      grid-row: 2/3;
      justify-self: start;
    }
    @media only screen and (max-width: $bp-medium) {
      grid-row: 4/5;
      grid-column: 2/6;
      justify-self: center;
    }
    &--text {
      font-size: 1.4rem;
      margin-bottom: 1.5rem;
    }
    &--form {
      display: flex;
      & input {
        width: 34rem;
        outline: none;
        height: 3.5rem;
        padding: 1.2rem 2rem;
        line-height: 5rem;
        border-radius: 5rem;
        font-size: 1.5rem;
        font-family: $font-primary;
        background-color: #fff;
        border: 0;
        z-index: 1;
        &::placeholder {
          font-family: $font-primary;
          font-size: 1.2rem;
          // color: rgba($color: $color-white, $alpha: 0.8);
        }
      }
      & button {
        // position: absolute;
        background-color: $color-blue-hover;
        color: $color-white;
        font-family: $font-primary;
        border: 0;
        outline: none;
        width: 8rem;
        height: 3.5rem;
        font-size: 1.3rem;
        font-weight: 100;
        margin-right: -6.3rem;
        border-radius: 5rem;
        cursor: pointer;
        z-index: 9;
        transition: color 0.4s;
        &:hover {
          color: $color-bg;
        }
      }
    }
  }
  &__copyright {
    grid-column: 1/-1;
    grid-row: 2/3;
    margin: 2rem 0;
    justify-self: center;

    font-family: $font-num;
    font-size: 1.3rem;
    @media only screen and (max-width: $bp-large) {
      grid-row: 3/4;
    }
    @media only screen and (max-width: $bp-medium) {
      grid-row: 5/6;
      //   grid-column: 2/6;
    }
  }
  &__social {
    align-self: center;
    margin-top: 2.5rem;
    & a {
      text-decoration: none;
      color: $color-white;
      font-size: 1.9rem;
      margin: 0 1rem;
      transition: color 0.3s;
      &:hover {
        color: $color-blue-hover;
      }
    }
  }
  &__namad {
    margin-top: 2.5rem;
    align-self: center;
    & img {
      width: 10rem;
      height: 10rem;
      background-color: $color-white;
      border-radius: 1rem;
      margin: 0 1rem;
    }
  }
}
